hdcp22_tx_dp: XHdcp22_Tx Struct Reference

| hdcp22_tx_dp Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XHdcp22_Tx Struct Reference
Hdcp22_tx_v2_3

The XHdcpTx driver instance data. More...

## Data Fields
XHdcp22_Tx_Config | Config
| Config. More...
u32 | IsReady
| Is the component ready for usage. More...
u8 | IsReceiverHDCP2Capable
| Is the attached receiver HDCP2 capable. More...
XHdcp22_Tx_DdcHandler | DdcRead
| Function pointer for reading DDC (Rx HDCP DeviceAddress: 0x74) using the XHdcp22_Tx_Ddc stucture as parameter. More...
u8 | IsDdcReadSet
| Set if DdcRead handler is defined. More...
XHdcp22_Tx_DdcHandler | DdcWrite
| Function pointer for writing DDC (Rx HDCP DeviceAddress: 0x74) using the XHdcp22_Tx_Ddc stucture as parameter. More...
u8 | IsDdcWriteSet
| Set if DdcWrite handler is defined. More...
void * | DdcHandlerRef
| Reference pointer set with XHdcp22Tx_SetCallback function. More...
XHdcp22_Tx_Callback | AuthenticatedCallback
| Function pointer called after successful authentication. More...
u8 | IsAuthenticatedCallbackSet
| Set if AuthenticatedCallback handler is defined. More...
XHdcp22_Tx_Callback | UnauthenticatedCallback
| Function pointer called after authentication failure. More...
u8 | IsUnauthenticatedCallbackSet
| Set if UnauthenticatedCallback handler is defined. More...
XHdcp22_Tx_Callback | DownstreamTopologyAvailableCallback
| Function pointer called after the downstream topology is available. More...
u8 | IsDownstreamTopologyAvailableCallbackSet
| Set if DownstreamTopologyAvailableCallback handler is defined. More...
Xhdcp22_Tx_RdWrHandler | TxDpAuxReadCallback
| Function pointer Used to Read DP AUX channel registers (Remote DPCD) More...
void * | TxDpAuxReadCallbackRef
| To be passed to callback function. More...
u8 | IsTxDpAuxReadCallbackSet
| This flag is set true when the callback has been registered. More...
Xhdcp22_Tx_RdWrHandler | TxDpAuxWriteCallback
| Function pointer Used to Write DP AUX channel registers(Remote DPCD) More...
void * | TxDpAuxWriteCallbackRef
| To be passed to callback function. More...
u8 | IsTxDpAuxWriteCallbackSet
| This flag is set true when the callback has been registered. More...
XHdcp22_Tx_Timer | Timer
| Internal used timer. More...
XHdcp22_Rng | Rng
| Internal used hardware random number generator. More...
XHdcp22_Cipher | Cipher
| Internal used cipher. More...
XHdcp22_Tx_Info | Info
| Info. More...
XHdcp22_Tx_Log | Log
| Logging. More...
u8 | MessageBuffer [XHDCP22_TX_MAX_MESSAGE_SIZE]
| Message buffer for messages that are sent/received. More...
XHdcp22_Tx_RevocationList | RevocationList
| Revocation List. More...
XHdcp22_Tx_Topology | Topology
| Topology info. More...

## Detailed Description

The XHdcpTx driver instance data.

An instance must be allocated for each HDCP TX core in use.

## Field Documentation

XHdcp22_Tx_Callback XHdcp22_Tx::AuthenticatedCallback

Function pointer called after successful authentication.

Referenced by XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_SetCallback().

XHdcp22_Cipher XHdcp22_Tx::Cipher

Internal used cipher.

Referenced by XHdcp22_TxSetLaneCount(), XHdcp22Tx_Disable(), XHdcp22Tx_DisableBlank(), XHdcp22Tx_DisableEncryption(), XHdcp22Tx_Enable(), XHdcp22Tx_EnableBlank(), XHdcp22Tx_EnableEncryption(), XHdcp22Tx_GetVersion(), XHdcp22Tx_IsEncryptionEnabled(), XHdcp22Tx_LoadLc128(), and XHdcp22Tx_Reset().

XHdcp22_Tx_Config XHdcp22_Tx::Config

Config.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_IsDwnstrmCapable(), XHdcp22Tx_IsRepeater(), XHdcp22Tx_SetHdcp22OverProtocol(), and XHdcp22Tx_SetRepeater().

void* XHdcp22_Tx::DdcHandlerRef

Reference pointer set with XHdcp22Tx_SetCallback function.

Referenced by XHdcp22Tx_IsDwnstrmCapable(), and XHdcp22Tx_SetCallback().

XHdcp22_Tx_DdcHandler XHdcp22_Tx::DdcRead

Function pointer for reading DDC (Rx HDCP DeviceAddress: 0x74) using the XHdcp22_Tx_Ddc stucture as parameter.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_IsDwnstrmCapable(), and XHdcp22Tx_SetCallback().

XHdcp22_Tx_DdcHandler XHdcp22_Tx::DdcWrite

Function pointer for writing DDC (Rx HDCP DeviceAddress: 0x74) using the XHdcp22_Tx_Ddc stucture as parameter.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_IsDwnstrmCapable(), and XHdcp22Tx_SetCallback().

XHdcp22_Tx_Callback XHdcp22_Tx::DownstreamTopologyAvailableCallback

Function pointer called after the downstream topology is available.

Referenced by XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_SetCallback().

XHdcp22_Tx_Info XHdcp22_Tx::Info

Info.

Referenced by XHdcp22_Handle_Cp_Irq(), XHdcp22Tx_Authenticate(), XHdcp22Tx_CfgInitialize(), XHdcp22Tx_ClearPairingInfo(), XHdcp22Tx_Disable(), XHdcp22Tx_Enable(), XHdcp22Tx_GetTopology(), XHdcp22Tx_Info(), XHdcp22Tx_IsAuthenticated(), XHdcp22Tx_IsEnabled(), XHdcp22Tx_IsInProgress(), XHdcp22Tx_LoadRevocationTable(), XHdcp22Tx_Poll(), XHdcp22Tx_Reset(), XHdcp22Tx_SetContentStreamType(), XHdcp22Tx_SetMessagePollingValue(), and XHdcp22Tx_TimerHandler().

u8 XHdcp22_Tx::IsAuthenticatedCallbackSet

Set if AuthenticatedCallback handler is defined.

Referenced by XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_SetCallback().

u8 XHdcp22_Tx::IsDdcReadSet

Set if DdcRead handler is defined.

Referenced by XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_SetCallback().

u8 XHdcp22_Tx::IsDdcWriteSet

Set if DdcWrite handler is defined.

Referenced by XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_SetCallback().

u8 XHdcp22_Tx::IsDownstreamTopologyAvailableCallbackSet

Set if DownstreamTopologyAvailableCallback handler is defined.

Referenced by XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_SetCallback().

u32 XHdcp22_Tx::IsReady

Is the component ready for usage.

Referenced by XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_TimerHandler().

u8 XHdcp22_Tx::IsReceiverHDCP2Capable

Is the attached receiver HDCP2 capable.

Referenced by XHdcp22Tx_IsDwnstrmCapable().

u8 XHdcp22_Tx::IsTxDpAuxReadCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Tx_SetCallback().

u8 XHdcp22_Tx::IsTxDpAuxWriteCallbackSet

This flag is set true when the callback has been registered.

Referenced by XHdcp22Tx_SetCallback().

u8 XHdcp22_Tx::IsUnauthenticatedCallbackSet

Set if UnauthenticatedCallback handler is defined.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Reset(), and XHdcp22Tx_SetCallback().

XHdcp22_Tx_Log XHdcp22_Tx::Log

Logging.

Referenced by XHdcp22Tx_LogRd(), XHdcp22Tx_LogReset(), and XHdcp22Tx_LogWr().

u8 XHdcp22_Tx::MessageBuffer[XHDCP22_TX_MAX_MESSAGE_SIZE]

Message buffer for messages that are sent/received.

XHdcp22_Tx_RevocationList XHdcp22_Tx::RevocationList

Revocation List.

Referenced by XHdcp22Tx_CfgInitialize(), and XHdcp22Tx_GetRevocationReceiverIdList().

XHdcp22_Rng XHdcp22_Tx::Rng

Internal used hardware random number generator.

Referenced by XHdcp22Tx_GenerateRandom().

XHdcp22_Tx_Timer XHdcp22_Tx::Timer

Internal used timer.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Enable(), XHdcp22Tx_GetTimer(), XHdcp22Tx_LogGetTimeUSecs(), XHdcp22Tx_LogReset(), XHdcp22Tx_Reset(), XHdcp22Tx_timer_attach(), and XHdcp22Tx_TimerHandler().

XHdcp22_Tx_Topology XHdcp22_Tx::Topology

Topology info.

Referenced by XHdcp22Tx_GetTopology(), XHdcp22Tx_GetTopologyReceiverIdList(), and XHdcp22Tx_Info().

Xhdcp22_Tx_RdWrHandler XHdcp22_Tx::TxDpAuxReadCallback

Function pointer Used to Read DP AUX channel registers (Remote DPCD)

Referenced by XHdcp22_Handle_Cp_Irq(), XHdcp22Tx_IsDwnstrmCapable(), and XHdcp22Tx_SetCallback().

void* XHdcp22_Tx::TxDpAuxReadCallbackRef

To be passed to callback function.

Referenced by XHdcp22_Handle_Cp_Irq(), XHdcp22Tx_IsDwnstrmCapable(), and XHdcp22Tx_SetCallback().

Xhdcp22_Tx_RdWrHandler XHdcp22_Tx::TxDpAuxWriteCallback

Function pointer Used to Write DP AUX channel registers(Remote DPCD)

Referenced by XHdcp22Tx_SetCallback().

void* XHdcp22_Tx::TxDpAuxWriteCallbackRef

To be passed to callback function.

Referenced by XHdcp22Tx_SetCallback().

XHdcp22_Tx_Callback XHdcp22_Tx::UnauthenticatedCallback

Function pointer called after authentication failure.

Referenced by XHdcp22Tx_CfgInitialize(), XHdcp22Tx_Reset(), and XHdcp22Tx_SetCallback().